Bug 143815 - Anaconda fails updating lilo.conf upgrading from RedHat 7.3
Anaconda fails updating lilo.conf upgrading from RedHat 7.3
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-28 13:00 EST by 260795
Modified: 2008-02-03 14:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 14:58:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 260795 2004-12-28 13:00:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; it-IT; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
Anaconda fails with an unhandled exception while updating the lilo
configuration file. This happened during an upgrade from an hold
RedHat Linux 7.3 on an HP NetServer. The relevant exception is:

----

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1165, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/475969-i386/install//usr/lib/anaconda/text.py",
line 507, in run
    dispatch.gotoNext()
  File
"/usr/src/build/475969-i386/install//usr/lib/anaconda/dispatch.py",
line 171, in gotoNext
    self.moveStep()
  File
"/usr/src/build/475969-i386/install//usr/lib/anaconda/dispatch.py",
line 239, in moveStep
    rc = apply(func, self.bindArgs(args))
  File
"/usr/src/build/475969-i386/install//usr/lib/anaconda/bootloader.py",
line 158, in writeBootloader
    justConfigFile, intf)
  File
"/usr/src/build/463894-i386/install//usr/lib/booty/bootloaderInfo.py",
line 1092, in write
    justConfig | (self.useGrubVal))
  File
"/usr/src/build/463894-i386/install//usr/lib/booty/bootloaderInfo.py",
line 975, in writeLilo
    config.write(instRoot + self.configfile, perms = self.perms)
  File "/usr/src/build/463894-i386/install//usr/lib/booty/lilo.py",
line 226, in write
    f.write(self.__repr__())
  File "/usr/src/build/463894-i386/install//usr/lib/booty/lilo.py",
line 91, in __repr__
    s = s + "\tbios = %s\n" % self.biosRemaps[count][1]
IndexError: list index out of range

Local variables in innermost frame:
count: 0
s: boot=/dev/sda
vga=normal
prompt
timeout=10
default=2.6.9-1.667
map=/boot/map
install=/boot/boot.b
linear
disk = /dev/sda bios=0x80

----

The full anacdump.txt is available if needed. After restarting the
system and some manual rescue on the lilo.conf file the system
restarted and I was able to complete the upgrade manually.

Version-Release number of selected component (if applicable):
unknown

How reproducible:
Didn't try

Steps to Reproduce:
Almost impossible for me to reproduce it. The system is a production
server and I can't downgrade it again just to reproduce the problem.    

Additional info:
Comment 1 Matthew Miller 2006-07-10 18:18:29 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-03 14:58:07 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.